#ifndef AVBDDCLEGACY_H
#define AVBDDCLEGACY_H

#include "avbddclegacy_global.h"

/*
class AVBDDCLEGACYSHARED_EXPORT AvbDdcLegacy
{

public:
    AvbDdcLegacy();
};
*/

class IAvbDriver;

class IAvbDriverClient
{
public:
    virtual ~IAvbDriverClient() {}

    virtual void logError(const char* fmt, ...)=0;
    virtual bool getSettingsBool(const char* name)=0;
    virtual int getSettingsInt(const char* name)=0;
};

extern "C" {
AVBDDCLEGACYSHARED_EXPORT IAvbDriver* AvbDriverCreate(const char* subtype,IAvbDriverClient*);
}

#endif // AVBDDCLEGACY_H
